var http = require('http')
var argv = require('yargs').argv

var port = 10000 + argv.i
process.title = "leaky-http on port " + port;

var cache = [];
var server = http.createServer(function(req, res) {
  if (req.method.toLowerCase() === 'delete') {
    while (cache.length) {
      cache[cache.length-1] = null;
      cache.pop();
    }
  } else {
    for (var i=0; i<10; i++) {
      var a = new Array(1024);
      for (var j = 0; j<a.length; j++) {
        a[j] = 'some string' + Math.random();
      }
      cache.push(a)
    }
  }
  res.end('yar');
});

server.listen(port, function() {
  console.error('listening on port %s', server.address().port)
})
